# $Revision: 1.7 $, $Date: 2011/03/05 06:36:41 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DateTime
%define	pnam	Format-Strptime
Summary:	DateTime::Format::Strptime - Parse and format strp and strf time patterns
Summary(pl.UTF-8):	DateTime::Format::Strptime - analiza i formatowanie wzorców czasu strp i strf
Name:		perl-DateTime-Format-Strptime
Version:	1.5000
Release:	1
# same as perl
License:	Artistic 2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/DROLSKY/DateTime-Format-Strptime-%{version}.tar.gz
# Source0-md5:	ccd7e8fe4276c258e325e0bbce3f8e74
URL:		http://search.cpan.org/dist/DateTime-Format-Strptime/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.31
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DateTime >= 1:0.43_04
BuildRequires:	perl-DateTime-Locale >= 0.45
BuildRequires:	perl-DateTime-TimeZone >= 0.79
BuildRequires:	perl-Params-Validate >= 0.64
BuildRequires:	perl-Test-Simple >= 0.88
%endif
Requires:	perl-DateTime >= 0.28-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements most of strptime(3), the POSIX function that is
the reverse of strftime(3), for DateTime. While strftime takes a
DateTime and a pattern and returns a string, strptime takes a string
and a pattern and returns the DateTime object associated.

%description -l pl.UTF-8
Ten moduł implementuje większość strptime(3) - funkcji POSIX będącej
odwrotną dla strftime(3), dla DateTime. O ile strftime przyjmuje
DateTime i wzorzec, a zwraca łańcuch, to strptime przyjmuje łańcuch i
wzorzec, a zwraca powiązany obiekt DateTime.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DateTime/Format/Strptime.pm
%{_mandir}/man3/DateTime::Format::Strptime.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DateTime-Format-Strptime.spec,v $
Revision 1.7  2011/03/05 06:36:41  qboosh
- updated to 1.5000

Revision 1.6  2008/04/02 08:27:35  arekm
- up to 1.0701

Revision 1.5  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.3  2006/08/24 22:35:28  glen
- rel 2

Revision 1.2  2006/08/24 21:07:41  qboosh
- pl, package names in BRs

Revision 1.1  2006/08/22 16:10:51  glen
- new
